## class CellSelection

> list of selected cells.

### Public Methods

  | CellSelection ()
  virtual | ~CellSelection ()
  void | Draw ()
  void | Undraw ()
  void | SelectCell (Cell *)
  void | SelectCells (List<Cell *> *)
  void | DeselectCell (Cell *)
  void | DeselectCells (List<Cell *> *)
  void | DeselectAll ()
  int | NrSelected () const
  Cell* | FirstSelected ()
  Cell* | NextSelected ()

## Documentation

> list of selected cells.

`CellSelection()`

`virtual ~CellSelection()`

`void Draw()`

`void Undraw()`

`void SelectCell(Cell *)`

`void SelectCells(List<Cell *> *)`

`void DeselectCell(Cell *)`

`void DeselectCells(List<Cell *> *)`

`void DeselectAll()`

`int NrSelected() const`

`Cell* FirstSelected()`

`Cell* NextSelected()`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de